"use strict";
class IOSLogFilter {
    constructor($loggingLevels) {
        this.$loggingLevels = $loggingLevels;
        this.infoFilterRegex = /^.*?(AppBuilder|Cordova|NativeScript).*?(<Notice>:.*?|<Warning>:.*?|<Error>:.*?)$/im;
    }
    filterData(data, logLevel, pid) {
        let specifiedLogLevel = (logLevel || '').toUpperCase();
        if (specifiedLogLevel === this.$loggingLevels.info) {
            if (pid) {
                return data && data.indexOf(`[${pid}]`) !== -1 ? data.trim() : null;
            }
            let matchingInfoMessage = data.match(this.infoFilterRegex);
            return matchingInfoMessage ? matchingInfoMessage[2] : null;
        }
        return data;
    }
}
exports.IOSLogFilter = IOSLogFilter;
$injector.register("iOSLogFilter", IOSLogFilter);
